var builder = WebApplication.CreateBuilder(args);

// Add services to the container.
// Learn more about configuring Swagger/OpenAPI at https://aka.ms/aspnetcore/swashbuckle
builder.Services.AddEndpointsApiExplorer();
builder.Services.AddSwaggerGen();

var app = builder.Build();

// Configure the HTTP request pipeline.
if (app.Environment.IsDevelopment())
{
	app.UseSwagger();
	app.UseSwaggerUI();
}

app.UseHttpsRedirection();

app.MapGet("/light", (int startHour, int endHour) =>
	{
		var year = DateTime.Today.Year;
		var month = DateTime.Today.Month;
		var day = DateTime.Today.Day;

		return new SunriseSunsetOrgMock
		{
			Results = new()
			{
				AstronomicalTwilightBegin = new DateTimeOffset(year, month, day, startHour, 0, 0, TimeSpan.Zero),
				Sunrise = new DateTimeOffset(year, month, day, startHour + 1, 0, 0, TimeSpan.Zero),
				Sunset = new DateTimeOffset(year, month, day, endHour - 1, 0, 0, TimeSpan.Zero),
				AstronomicalTwilightEnd = new DateTimeOffset(year, month, day, endHour, 0, 0, TimeSpan.Zero)
			},
			Status = "ok"
		};
	})
.WithOpenApi();

app.Run();